#!/bin/sh

SOURCE_DIR=$(realpath $(dirname "${0}"))/rabbitmq

# Build Docker container
docker build -t rabbitmq ${SOURCE_DIR}

# Create RabbitMQ directory structure
mkdir -p /srv/rabbitmq/data
chown 5672:5672 /srv/rabbitmq/data

# Configure RabbitMQ service
cp ${SOURCE_DIR}/etc/init.d/rabbitmq /etc/init.d/rabbitmq
rc-update add rabbitmq boot
service rabbitmq start
